# Generated by Django 4.0.4 on 2022-05-19 11:42

from django.db import migrations, models


def update_monthly_values(page):
    page.form_monthly_amount_1 = page.form_amount_1
    page.form_monthly_amount_2 = page.form_amount_2
    page.form_monthly_amount_3 = page.form_amount_3
    page.form_monthly_amount_4 = page.form_amount_4
    page.form_monthly_preselected = page.form_preselected
    page.save()


def set_monthly_prices(apps, schema_editor):
    DonateHomePage = apps.get_model("donate", "DonateHomePage")
    DonateProjectPage = apps.get_model("donate", "DonateProjectPage")
    DonateRegionPage = apps.get_model("donate", "DonateRegionPage")

    for page in DonateHomePage.objects.all():
        update_monthly_values(page)

    for page in DonateProjectPage.objects.all():
        update_monthly_values(page)

    for page in DonateRegionPage.objects.all():
        update_monthly_values(page)


class Migration(migrations.Migration):
    dependencies = [
        ("donate", "0018_donatehomepage_form_amount_4_and_more"),
    ]

    operations = [
        migrations.AddField(
            model_name="donatehomepage",
            name="form_monthly_amount_1",
            field=models.IntegerField(default=100, verbose_name="měsíční částka 1"),
        ),
        migrations.AddField(
            model_name="donatehomepage",
            name="form_monthly_amount_2",
            field=models.IntegerField(default=200, verbose_name="měsíční částka 2"),
        ),
        migrations.AddField(
            model_name="donatehomepage",
            name="form_monthly_amount_3",
            field=models.IntegerField(default=500, verbose_name="měsíční částka 3"),
        ),
        migrations.AddField(
            model_name="donatehomepage",
            name="form_monthly_amount_4",
            field=models.IntegerField(default=1000, verbose_name="měsíční částka 4"),
        ),
        migrations.AddField(
            model_name="donatehomepage",
            name="form_monthly_preselected",
            field=models.IntegerField(
                choices=[(1, "první"), (2, "druhá"), (3, "třetí"), (4, "čtvrtá")],
                default=1,
                verbose_name="výchozí měsíční částka",
            ),
        ),
        migrations.AddField(
            model_name="donateprojectpage",
            name="form_monthly_amount_1",
            field=models.IntegerField(default=100, verbose_name="měsíční částka 1"),
        ),
        migrations.AddField(
            model_name="donateprojectpage",
            name="form_monthly_amount_2",
            field=models.IntegerField(default=200, verbose_name="měsíční částka 2"),
        ),
        migrations.AddField(
            model_name="donateprojectpage",
            name="form_monthly_amount_3",
            field=models.IntegerField(default=500, verbose_name="měsíční částka 3"),
        ),
        migrations.AddField(
            model_name="donateprojectpage",
            name="form_monthly_amount_4",
            field=models.IntegerField(default=1000, verbose_name="měsíční částka 4"),
        ),
        migrations.AddField(
            model_name="donateprojectpage",
            name="form_monthly_preselected",
            field=models.IntegerField(
                choices=[(1, "první"), (2, "druhá"), (3, "třetí"), (4, "čtvrtá")],
                default=1,
                verbose_name="výchozí měsíční částka",
            ),
        ),
        migrations.AddField(
            model_name="donateregionpage",
            name="form_monthly_amount_1",
            field=models.IntegerField(default=100, verbose_name="měsíční částka 1"),
        ),
        migrations.AddField(
            model_name="donateregionpage",
            name="form_monthly_amount_2",
            field=models.IntegerField(default=200, verbose_name="měsíční částka 2"),
        ),
        migrations.AddField(
            model_name="donateregionpage",
            name="form_monthly_amount_3",
            field=models.IntegerField(default=500, verbose_name="měsíční částka 3"),
        ),
        migrations.AddField(
            model_name="donateregionpage",
            name="form_monthly_amount_4",
            field=models.IntegerField(default=1000, verbose_name="měsíční částka 4"),
        ),
        migrations.AddField(
            model_name="donateregionpage",
            name="form_monthly_preselected",
            field=models.IntegerField(
                choices=[(1, "první"), (2, "druhá"), (3, "třetí"), (4, "čtvrtá")],
                default=1,
                verbose_name="výchozí měsíční částka",
            ),
        ),
        migrations.RunPython(
            set_monthly_prices, reverse_code=migrations.RunPython.noop
        ),
    ]
